---
title: MediaSource.clearLiveSeekableRange()
slug: Web/API/MediaSource/clearLiveSeekableRange
tags:
  - API
  - Audio
  - Extensions
  - Media
  - MediaSource
  - MediaSource Extensions
  - Method
  - Reference
  - Video
  - clearLiveSeekableRange()
---
<p>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}</p>

<p>The <strong><code>clearLiveSeekableRange()</code></strong> method of the {{domxref("MediaSource")}} interface clears a seekable range previously set with a call to {{domxref("MediaSource.setLiveSeekableRange()","setLiveSeekableRange()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaSource</var>.clearLiveSeekableRange()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions','#dom-mediasource-clearliveseekablerange','clearLiveSeekableRange()')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaSource.clearLiveSeekableRange")}}</p>
